VTK: tovtkm::DataArrayToArrayHandle< vtkAOSDataArrayTemplate< T >, NumComponents > Struct Template Reference

| VTK 9.3.1

Public Types | Static Public Member Functions | List of all members
tovtkm::DataArrayToArrayHandle< vtkAOSDataArrayTemplate< T >, NumComponents > Struct Template Reference

`#include <DataArrayConverters.h>`

## Public Types
using | ValueType = typename std::conditional< NumComponents==1, T, vtkm::Vec< T, NumComponents > >::type
using | StorageType = vtkm::cont::internal::Storage< ValueType, vtkm::cont::StorageTagBasic >
using | ArrayHandleType = vtkm::cont::ArrayHandle< ValueType, vtkm::cont::StorageTagBasic >

## Static Public Member Functions
static ArrayHandleType | Wrap (vtkAOSDataArrayTemplate< T > *input)

## Detailed Description

### template<typename T, vtkm::IdComponent NumComponents>
struct tovtkm::DataArrayToArrayHandle< vtkAOSDataArrayTemplate< T >, NumComponents >

Definition at line 51 of file DataArrayConverters.h.

## Member Typedef Documentation

## ◆ ValueType

template<typename T , vtkm::IdComponent NumComponents>

using tovtkm::DataArrayToArrayHandle< vtkAOSDataArrayTemplate< T >, NumComponents >::ValueType = typename std::conditional<NumComponents == 1, T, vtkm::Vec<T, NumComponents> >::type

Definition at line 53 of file DataArrayConverters.h.

## ◆ StorageType

template<typename T , vtkm::IdComponent NumComponents>

using tovtkm::DataArrayToArrayHandle< vtkAOSDataArrayTemplate< T >, NumComponents >::StorageType = vtkm::cont::internal::Storage<ValueType, vtkm::cont::StorageTagBasic>

Definition at line 55 of file DataArrayConverters.h.

## ◆ ArrayHandleType

template<typename T , vtkm::IdComponent NumComponents>

using tovtkm::DataArrayToArrayHandle< vtkAOSDataArrayTemplate< T >, NumComponents >::ArrayHandleType = vtkm::cont::ArrayHandle<ValueType, vtkm::cont::StorageTagBasic>

Definition at line 56 of file DataArrayConverters.h.

## Member Function Documentation

## ◆ Wrap()

template<typename T , vtkm::IdComponent NumComponents>

static ArrayHandleType tovtkm::DataArrayToArrayHandle< vtkAOSDataArrayTemplate< T >, NumComponents >::Wrap | ( | vtkAOSDataArrayTemplate< T > * | input | ) |
| inlinestatic

Definition at line 58 of file DataArrayConverters.h.

The documentation for this struct was generated from the following file:

- Accelerators/Vtkm/Core/vtkmlib/DataArrayConverters.h